Page 1 of 1

[Solved] Could not download distribution tarball

Posted: 25 Oct 2014, 13:06
by Vincent
It's two days I trie to upgrade but I get always the same error message
Could not download distribution tarball (https://github.com/gothfox/Tiny-Tiny-RS ... .14.tar.gz).
Someone could give me a help?

Re: Could not download distribution tarball (https://github.

Posted: 25 Oct 2014, 15:43
by charlie-tca
Clicking on the link you supplied downloaded it for me. It might something in your own settings?

Re: Could not download distribution tarball (https://github.

Posted: 30 Oct 2014, 13:07
by djedail
Hello,

Same problem for me, with the same message.
If I go to the link with my browser it works and if I do a wget on this link from the server, it works too.
For information, I try to update from the 1.12 version.

Re: Could not download distribution tarball (https://github.

Posted: 30 Oct 2014, 14:13
by fox
Please, tell us more about your shit hosting providers / broken php. It's all very interesting.

Re: Could not download distribution tarball (https://github.

Posted: 30 Oct 2014, 14:17
by djedail
My "shit" provider is... me. ^^
TTRSS is installed on my own server with PHP 5.3.2.
The automatic updates were working well before this one.

Re: Could not download distribution tarball (https://github.

Posted: 30 Oct 2014, 14:26
by fox
What if you, get this, downloaded the fucking tarball manually and updated using that instead of whining.

Nobody here knows or cares why curl can't download shit off github on your server or whatever that is you are using.

Re: Could not download distribution tarball (https://github.

Posted: 30 Oct 2014, 16:02
by djedail
Thank you for your kindness, you are forced to be so vulgar?
If my question bores you, you are not obliged to respond.
I simply was pointing that the problem is not isolated.

Manually update is a possibility... but this is not an answer to the question.

In short, we will fend for ourselves, except if someone more friendly wants to help us.

Re: Could not download distribution tarball (https://github.

Posted: 30 Oct 2014, 16:41
by Latimer
Can you do it over http?

Re: Could not download distribution tarball (https://github.

Posted: 30 Oct 2014, 17:41
by djedail
I'm using TTRSS over http.
The link for the update is in https but I don't think it's configurable (or I don't know where).
I specify that it was working well before this time. I didn't change anything since the previous update.
No error in the apache log file.

Re: Could not download distribution tarball (https://github.

Posted: 30 Oct 2014, 18:10
by Latimer
My wild guess would be github turning off sslv3 as a countermeasure for the recently discovered POODLE attack.

Disclaimer: I have only a vague understanding of what I'm talking about.

Re: Could not download distribution tarball (https://github.

Posted: 30 Oct 2014, 18:33
by fox
Could be, tt-rss forced sslv3 for some curl version ranges, don't really remember why.

You can try define('NO_CURL', 1); in config.php and retry or update manually, op

Re: Could not download distribution tarball (https://github.

Posted: 30 Oct 2014, 19:19
by djedail
Problem solved ! Thank you both.

I added "define('NO_CURL', 1);" in config.php and it worked.
As a conclusion, is it due to my curl version ? It's the 7.19.7.

Re: Could not download distribution tarball (https://github.

Posted: 31 Oct 2014, 10:08
by fox
>As a conclusion, is it due to my curl version ? It's the 7.19.7.

The hack in question was based either on curl or on openssl version on your system, I don't remember which. It is removed now, so it should be fine from now on.

Re: Could not download distribution tarball (https://github.

Posted: 31 Oct 2014, 11:42
by djedail
OK thanks.
Maybe you can mark the topic as solved.

Re: Could not download distribution tarball (https://github.

Posted: 23 Nov 2014, 22:24
by Vincent
OK, thanks it's working when addaing the line "define('NO_CURL', 1);" in config.php
I mark the topic as solved.